PDA

View Full Version : Question on glapi error.



bogbasic
02-22-2016, 02:17 PM
Hello,

Complete numpty here. I am using lubuntu to try to compile an old SGI package which uses openGL, so I installed mesa and its depencies from source. I then tweaked the c++ files for the program itself to get them to compile with g++ but when I link I get the following:

/usr/lib/gcc/x86_64-linux-gnu/4.9/../../../x86_64-linux-gnu/libGL.so: undefined reference to `_glapi_tls_Dispatch'

I then tried to compile a very short openGL program from a tutorial on the web and I got the same error.

On googling this error message, I can find posts in other forums saying that the versions of the libraries have got in a tangle. Anyhow, I don't immediately know what to do and I would very much appreciate any advice at all.

GClements
02-22-2016, 03:33 PM
Complete numpty here. I am using lubuntu to try to compile an old SGI package which uses openGL, so I installed mesa and its depencies from source.




On googling this error message, I can find posts in other forums saying that the versions of the libraries have got in a tangle. Anyhow, I don't immediately know what to do and I would very much appreciate any advice at all.
Don't install Mesa from source. First, remove whatever you installed, then use the package manager to install the OpenGL libraries and headers.

The package manager may not list "Mesa" explicitly, but instead list "OpenGL" or some variation on that. The reason is that exactly what needs to be installed depends upon your video hardware and whether you choose to use the vendor's driver or an open-source driver.

Ultimately, you're looking for whichever package(s) provide libGL.so and GL/gl.h.